opencv: CvImage Class Reference

Public Member Functions | Protected Attributes

# CvImage Class Reference

`#include <legacy.hpp>`

List of all members.

## Public Member Functions
void | attach (IplImage *img, bool use_refcount=true)
int | channels () const
void | clear ()
CvImage | clone ()
int | coi () const
void | create (CvSize size, int depth, int channels)
| CvImage (CvSize size, int depth, int channels)
| CvImage (const CvImage &img)
| CvImage ()
| CvImage (const char *filename, const char *imgname=0, int color=-1)
| CvImage (CvFileStorage *fs, const char *mapname, const char *imgname)
| CvImage (IplImage *img)
| CvImage (CvFileStorage *fs, const char *seqname, int idx)
uchar * | data ()
const uchar * | data () const
int | depth () const
void | detach ()
int | height () const
bool | is_valid ()
bool | load (const char *filename, const char *imgname=0, int color=-1)
| operator const IplImage * () const
| operator IplImage * ()
CvImage & | operator= (const CvImage &img)
int | origin () const
int | pix_size () const
bool | read (CvFileStorage *fs, const char *seqname, int idx)
bool | read (CvFileStorage *fs, const char *mapname, const char *imgname)
void | release ()
void | reset_roi ()
CvRect | roi () const
uchar * | roi_row (int y)
const uchar * | roi_row (int y) const
CvSize | roi_size () const
void | save (const char *filename, const char *imgname, const int *params=0)
void | set_coi (int coi)
void | set_roi (CvRect roi)
void | show (const char *window_name)
CvSize | size () const
int | step () const
int | width () const
void | write (CvFileStorage *fs, const char *imgname)
| ~CvImage ()
## Protected Attributes
IplImage * | image
int * | refcount

## Constructor & Destructor Documentation

CvImage::CvImage | ( | ) | `[inline]`

CvImage::CvImage | ( | CvSize | size,
|  | int | depth,
|  | int | channels
| ) |  | `[inline]`

CvImage::CvImage | ( | IplImage * | img ) | `[inline]`

CvImage::CvImage | ( | const CvImage & | img ) | `[inline]`

CvImage::CvImage | ( | const char * | filename,
|  | const char * | imgname = `0`,
|  | int | color = `-1`
| ) |  | `[inline]`

CvImage::CvImage | ( | CvFileStorage * | fs,
|  | const char * | mapname,
|  | const char * | imgname
| ) |  | `[inline]`

CvImage::CvImage | ( | CvFileStorage * | fs,
|  | const char * | seqname,
|  | int | idx
| ) |  | `[inline]`

CvImage::~CvImage | ( | ) | `[inline]`

## Member Function Documentation

void CvImage::attach | ( | IplImage * | img,
|  | bool | use_refcount = `true`
| ) |  | `[inline]`

int CvImage::channels | ( | ) | const`[inline]`

void CvImage::clear | ( | ) | `[inline]`

CvImage CvImage::clone | ( | ) | `[inline]`

int CvImage::coi | ( | ) | const`[inline]`

void CvImage::create | ( | CvSize | size,
|  | int | depth,
|  | int | channels
| ) |  | `[inline]`

uchar* CvImage::data | ( | ) | `[inline]`

const uchar* CvImage::data | ( | ) | const`[inline]`

int CvImage::depth | ( | ) | const`[inline]`

void CvImage::detach | ( | ) | `[inline]`

int CvImage::height | ( | ) | const`[inline]`

bool CvImage::is_valid | ( | ) | `[inline]`

bool CvImage::load | ( | const char * | filename,
|  | const char * | imgname = `0`,
|  | int | color = `-1`
| ) |  |

CvImage::operator const IplImage * | ( | ) | const`[inline]`

CvImage::operator IplImage * | ( | ) | `[inline]`

CvImage& CvImage::operator= | ( | const CvImage & | img ) | `[inline]`

int CvImage::origin | ( | ) | const`[inline]`

int CvImage::pix_size | ( | ) | const`[inline]`

bool CvImage::read | ( | CvFileStorage * | fs,
|  | const char * | seqname,
|  | int | idx
| ) |  |

bool CvImage::read | ( | CvFileStorage * | fs,
|  | const char * | mapname,
|  | const char * | imgname
| ) |  |

void CvImage::release | ( | ) | `[inline]`

void CvImage::reset_roi | ( | ) | `[inline]`

CvRect CvImage::roi | ( | ) | const`[inline]`

const uchar* CvImage::roi_row | ( | int | y ) | const`[inline]`

uchar* CvImage::roi_row | ( | int | y ) | `[inline]`

CvSize CvImage::roi_size | ( | ) | const`[inline]`

void CvImage::save | ( | const char * | filename,
|  | const char * | imgname,
|  | const int * | params = `0`
| ) |  |

void CvImage::set_coi | ( | int | coi ) | `[inline]`

void CvImage::set_roi | ( | CvRect | roi ) | `[inline]`

void CvImage::show | ( | const char * | window_name ) |

CvSize CvImage::size | ( | ) | const`[inline]`

int CvImage::step | ( | ) | const`[inline]`

int CvImage::width | ( | ) | const`[inline]`

void CvImage::write | ( | CvFileStorage * | fs,
|  | const char * | imgname
| ) |  |

## Member Data Documentation

IplImage* CvImage::image`[protected]`

int* CvImage::refcount`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/legacy.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines